Next: NDS32 Syntax, Up: NDS32-Dependent

#### 9.29.1 NDS32 Options

The NDS32 configurations of gnu `as` support these special options:

`-O1`
  Optimize for performance.
`-Os`
  Optimize for space.
`-EL`
  Produce little endian data output.
`-EB`
  Produce little endian data output.
`-mpic`
  Generate PIC.
`-mno-fp-as-gp-relax`
  Suppress fp-as-gp relaxation for this file.
`-mb2bb-relax`
  Back-to-back branch optimization.
`-mno-all-relax`
  Suppress all relaxation for this file.
`-march=<arch name>`
  Assemble for architecture <arch name> which could be v3, v3j, v3m, v3f, v3s, v2, v2j, v2f, v2s.
`-mbaseline=<baseline>`
  Assemble for baseline <baseline> which could be v2, v3, v3m.
`-mfpu-freg=`FREG
  Specify a FPU configuration.
  `0 8 SP / 4 DP registers`
  `1 16 SP / 8 DP registers`
  `2 32 SP / 16 DP registers`
  `3 32 SP / 32 DP registers`
`-mabi=`abi
  Specify a abi version <abi> could be v1, v2, v2fp, v2fpp.
`-m[no-]mac`
  Enable/Disable Multiply instructions support.
`-m[no-]div`
  Enable/Disable Divide instructions support.
`-m[no-]16bit-ext`
  Enable/Disable 16-bit extension
`-m[no-]dx-regs`
  Enable/Disable d0/d1 registers
`-m[no-]perf-ext`
  Enable/Disable Performance extension
`-m[no-]perf2-ext`
  Enable/Disable Performance extension 2
`-m[no-]string-ext`
  Enable/Disable String extension
`-m[no-]reduced-regs`
  Enable/Disable Reduced Register configuration (GPR16) option
`-m[no-]audio-isa-ext`
  Enable/Disable AUDIO ISA extension
`-m[no-]fpu-sp-ext`
  Enable/Disable FPU SP extension
`-m[no-]fpu-dp-ext`
  Enable/Disable FPU DP extension
`-m[no-]fpu-fma`
  Enable/Disable FPU fused-multiply-add instructions
`-mall-ext`
  Turn on all extensions and instructions support